Last Comment Bug 656844 - Disable drawing of shadows with non-OVER operators
: Disable drawing of shadows with non-OVER operators
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: Canvas: 2D (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Robert O'Callahan (:roc) (email my personal email if necessary)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-12 21:35 PDT by Robert O'Callahan (:roc) (email my personal email if necessary)
Modified: 2011-08-08 11:11 PDT (History)
6 users (show)
roc: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (1.07 KB, patch)
2011-05-12 21:42 PDT, Robert O'Callahan (:roc) (email my personal email if necessary)
no flags Details | Diff | Splinter Review
fix v2 (2.95 KB, patch)
2011-05-18 04:20 PDT, Robert O'Callahan (:roc) (email my personal email if necessary)
joe: review+
Details | Diff | Splinter Review
Testcase (3.85 KB, patch)
2011-05-30 17:05 PDT, Robert O'Callahan (:roc) (email my personal email if necessary)
joe: review+
Details | Diff | Splinter Review

Description Robert O'Callahan (:roc) (email my personal email if necessary) 2011-05-12 21:35:37 PDT
http://lists.whatwg.org/htdig.cgi/whatwg-whatwg.org/2011-May/031594.html

I think this is the way the spec should go and I think it's very unlikely to affect Web compatibility.
Comment 1 Robert O'Callahan (:roc) (email my personal email if necessary) 2011-05-12 21:42:41 PDT
Created attachment 532118 [details] [diff] [review]
fix
Comment 2 Robert O'Callahan (:roc) (email my personal email if necessary) 2011-05-18 04:20:05 PDT
Created attachment 533234 [details] [diff] [review]
fix v2

Update test_canvas.html to disable tests that assume shadows work with non-over operators.
Comment 3 Joe Drew (not getting mail) 2011-05-27 13:18:01 PDT
Comment on attachment 533234 [details] [diff] [review]
fix v2

Review of attachment 533234 [details] [diff] [review]:
-----------------------------------------------------------------

::: content/canvas/src/nsCanvasRenderingContext2D.cpp
@@ +534,5 @@
>      {
>          ContextState& state = CurrentState();
>  
>          // The spec says we should not draw shadows when the alpha value is 0,
>          // regardless of the operator being used.

You could update this comment if you wanted to
Comment 4 Robert O'Callahan (:roc) (email my personal email if necessary) 2011-05-29 20:33:39 PDT
http://hg.mozilla.org/projects/cedar/rev/22ec5982eca7
Comment 5 Mounir Lamouri (:mounir) 2011-05-30 06:02:18 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/22ec5982eca7
Comment 6 Robert O'Callahan (:roc) (email my personal email if necessary) 2011-05-30 14:41:14 PDT
Actually I didn't add a testcase specifically for this behavior, and I should have.
Comment 7 Robert O'Callahan (:roc) (email my personal email if necessary) 2011-05-30 17:05:12 PDT
Created attachment 536196 [details] [diff] [review]
Testcase
Comment 8 Robert O'Callahan (:roc) (email my personal email if necessary) 2011-05-30 17:05:41 PDT
Bas, you might want to check that Azure behaves correctly with this test/behavior change.
Comment 9 Joe Drew (not getting mail) 2011-06-09 11:25:09 PDT
Comment on attachment 536196 [details] [diff] [review]
Testcase

Review of attachment 536196 [details] [diff] [review]:
-----------------------------------------------------------------

i like this especially for spelling colour correctly
Comment 10 Robert O'Callahan (:roc) (email my personal email if necessary) 2011-06-16 20:57:02 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/a565838cfc3a
Comment 11 Philipp von Weitershausen [:philikon] 2011-06-17 07:35:14 PDT
http://hg.mozilla.org/mozilla-central/rev/a565838cfc3a
Comment 12 Eric Shepherd [:sheppy] 2011-08-08 11:11:11 PDT
Documentation updated:

https://developer.mozilla.org/en/Canvas_tutorial/Applying_styles_and_colors#Shadows

And mentioned on Firefox 7 for developers.

Note You need to log in before you can comment on or make changes to this bug.